FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202010061132.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202010061132.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=60c2657 OS_GIT_VERSION=4.6.0-202010061132.p0-60c2657 SOURCE_DATE_EPOCH=1601503917 SOURCE_GIT_COMMIT=60c2657a060979da79704c5c7b4cd7db8ed62e23 SOURCE_GIT_TAG=v0.0.0-alpha.0-289-g60c2657a SOURCE_GIT_URL=https://github.com/openshift/cluster-config-operator 
WORKDIR /go/src/github.com/openshift/cluster-config-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-config-operator
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20201006.115924
ENV __doozer=update BUILD_RELEASE=202010061132.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202010061132.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=60c2657 OS_GIT_VERSION=4.6.0-202010061132.p0-60c2657 SOURCE_DATE_EPOCH=1601503917 SOURCE_GIT_COMMIT=60c2657a060979da79704c5c7b4cd7db8ed62e23 SOURCE_GIT_TAG=v0.0.0-alpha.0-289-g60c2657a SOURCE_GIT_URL=https://github.com/openshift/cluster-config-operator 
RUN mkdir -p /usr/share/bootkube/manifests/manifests
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/config/v1/*_config-operator_*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/quota/v1/*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/security/v1/*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/securityinternal/v1/*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/authorization/v1/*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/operator/v1alpha1/0000_10_config-operator_01_imagecontentsourcepolicy.crd.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/cluster-config-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/config/v1/*_config-operator_*.yaml /manifests
COPY vendor/github.com/openshift/api/quota/v1/*.yaml /manifests
COPY vendor/github.com/openshift/api/security/v1/*.yaml /manifests
COPY vendor/github.com/openshift/api/securityinternal/v1/*.yaml /manifests
COPY vendor/github.com/openshift/api/authorization/v1/*.yaml /manifests
COPY vendor/github.com/openshift/api/operator/v1alpha1/0000_10_config-operator_01_imagecontentsourcepolicy.crd.yaml /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_10_config-operator_*.yaml /manifests
COPY empty-resources /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-config-operator" \
        com.redhat.component="ose-cluster-config-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202010061132.p0" \
        io.openshift.build.commit.id="60c2657a060979da79704c5c7b4cd7db8ed62e23" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-config-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-config-operator/commit/60c2657a060979da79704c5c7b4cd7db8ed62e23" \
        version="v4.6.0"

